<?php
if (!defined('_PS_VERSION_'))
  exit;
 
class TestModule extends Module
{
  public function __construct()
  {
    $this->name = 'testmodule';
    $this->tab = 'other';
    $this->version = '1.0.0';
    $this->author = 'Firstname Lastname';
    $this->need_instance = 0;
    $this->ps_versions_compliancy = array('min' => '1.6', 'max' => _PS_VERSION_); 
    $this->bootstrap = true;
 
    parent::__construct();
 
    $this->displayName = $this->l('My test module');
    $this->description = $this->l('Description of my module.');
 
    $this->confirmUninstall = $this->l('Are you sure you want to uninstall?');
 
    if (!Configuration::get('TESTMODULE_NAME'))      
      $this->warning = $this->l('No name provided');
  }
public function install()
{
  if (Shop::isFeatureActive())
    Shop::setContext(Shop::CONTEXT_ALL);
 
  if (!parent::install() ||
    !$this->registerHook('leftColumn') ||
    !$this->registerHook('header') ||
    !$this->registerHook('footer') ||
    !$this->registerHook('home') ||
    !Configuration::updateValue('TESTMODULE_NAME', 'my friend')
  )
    return false;
 
  return true;
}
public function uninstall()
{
  if (!parent::uninstall() ||
    !Configuration::deleteByName('TESTMODULE_NAME')
  )
    return false;
 
  return true;
}



	public function hookLeftColumn()
	{
	$query = 'SELECT * FROM ps_category_lang LIMIT 0, 10';
	$res = Db::getInstance()->executeS($query);


	$i = 0;
	foreach ($res AS $row) {
	$arr[] = $row['name'];
	++$i;
	}

	$this->context->smarty->assign('mess', $arr);
	return $this->display(__FILE__, 'testmodule.tpl');
	}

}